"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var di_1 = require("@asuka/di");
var configSets = new Set();
exports.Module = function (name) {
    if (typeof name !== 'string') {
        throw new TypeError('Module name should be string');
    }
    if (configSets.has(name)) {
        throw new Error("Duplicated Module name: " + name);
    }
    configSets.add(name);
    return function (target) {
        target.prototype.moduleName = name;
        return di_1.Injectable()(target);
    };
};
