import { TestModule, Type } from '@asuka/di';
import { Ayanami } from './core/ayanami';
import { ActionOfAyanami } from './core/types';
import { State } from './core/state';
export declare class AyanamiTestModule extends TestModule {
    getAyanamiTestingStub<M extends Ayanami<S>, S = any>(ayanamiModule: Type<M>): AyanamiTestStub<M, S>;
}
export declare class AyanamiTestStub<M extends Ayanami<S>, S = any> {
    readonly dispatcher: ActionOfAyanami<M, S>;
    private readonly state;
    constructor(dispatcher: ActionOfAyanami<M, S>, state: State<S>);
    getState(): S;
}
