import { State } from '../core/state';
import { ConstructorOf, Ayanami } from '../core';
export declare class SSRStateCache {
    private SSRStates;
    private size;
    setPoolSize(size: number): void;
    has(ctx: any, constructor: ConstructorOf<Ayanami<any>>): boolean;
    get(ctx: any, constructor: ConstructorOf<Ayanami<any>>): State<any> | undefined;
    set(ctx: any, constructor: ConstructorOf<Ayanami<any>>, state: State<any>): void;
    cleanupStateByContext: (ctx: any) => void;
}
export declare const SSRStateCacheInstance: SSRStateCache;
